# vim: set sw=4 ts=4 et nu:
# norootforbuild

Name:           perl-Event-ExecFlow
Version:        0.64
Release:        0.pm.5.1
Summary:        High level API for event-based execution flow control
Source:         http://search.cpan.org/CPAN/authors/id/J/JR/JRED/Event-ExecFlow-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Event-ExecFlow/
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  make perl
BuildRequires:  perl-macros
BuildRequires:  perl(Locale::TextDomain)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(AnyEvent)
Requires:       perl(Locale::TextDomain)
Requires:       perl(AnyEvent)

%description
Event::ExecFlow provides a ligh level API for defining complex flow controls
with asynchronous execution of external programs.

%prep
%setup -q -n "Event-ExecFlow-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/execflow
%dir %{perl_vendorlib}/Event
%{perl_vendorlib}/Event/ExecFlow.pm
%{perl_vendorlib}/Event/ExecFlow
%dir %{perl_vendorarch}/auto/Event
%{perl_vendorarch}/auto/Event/ExecFlow
%doc %{perl_man3dir}/Event::ExecFlow.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Event::ExecFlow::*.%{perl_man3ext}%{ext_man}

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- initial package (0.64)
